## debian-reference 2.75

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
#######################################################################
### key adjustable parameters
#######################################################################
# base file name excluding file extension
MANUAL	:=	debian-reference
# languages translated with PO files
# This can list more than debian/rules for translator to check the result
LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb
# languages to skip generation of PDF files (not used now)
NOPDF	:=	
# languages to build document
LANGALL	=	en $(LANGPO)

# Change at the last moment (this package is part of web page)
# from testing -> stable just before stable release

# Update release name when setting back RELEASE_STATE
# from stable -> testing just after stable release

# This is normal
RELEASE_STATE := testing

# this is just before freeze
#RELEASE_STATE := stable

# TMP_DIR_DR is not mean to be set to generic TMPDIR like /tmp ~/.tmp
ifndef TMP_DIR_DR
TMP_DIR_DR	:= $(CURDIR)/tmp
endif

# Change $(DRAFTMODE) from "yes" to "maybe" when this document 
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DASC	:=	asciidoc
DPO	:=	po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# work around https://bugs.debian.org/725931
PERL_PERTURB_KEYS := 0
export PERL_PERTURB_KEYS
PERL_HASH_SEED := 0
export PERL_HASH_SEE

# Program name and option
XLINT	:=	xmllint --format
XPNO	:=	xsltproc --novalid --nonet
XPINC	:=	xsltproc --novalid --nonet --xinclude
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
DBLATEX	:=	dblatex

# Debian package archive URL
#DEBM	:=	http://ftp.us.debian.org/debian/dists
#DEBM	:=	http://ftp.jp.debian.org/debian/dists
DEBM	:=	http://deb.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	http://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
UDEBB	:=	$(DEBM)/experimental
DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)

# AsciiDoc source file names in $(DASC) directories for local update
ASC_NM	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
		07_xwindow.txt 08_i18nl10n.txt 09_systips.txt 10_datamngt.txt \
		11_dataconv.txt 12_program.txt 99_appendix.txt \
		copyright.txt header1.txt header2.txt $(MANUAL).txt
# source asciidoc files (local asciidoc conversion script used for stability)
SRC_ASC :=	$(addprefix $(DASC)/, $(ASC_NM))

#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! which $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef
#######################################################################
# $ make all       # build all
#######################################################################
.PHONY: all
# set LANGPO to limit language to speed up build
all: css html txt epub pdf
	cat fuzzy.log

#######################################################################
# $ make test      # build html for testing (for Translator)
#######################################################################
.PHONY: test
test: html css

#######################################################################
# Phase 1 build : fetch remote data
#######################################################################
# cached data removed for package related to remotely fetched data
REMOTE_DATA :=	packages.main packages.contrib packages.non-free \
		packages.txt packages.bkup.txt all-popcon-results.txt \
		all-popcon-submissions.txt all-popcon-pkgs.txt pkg.lst
.PHONY: remote
remote: $(REMOTE_DATA)

packages.main:
	# FETCH PACKAGE (sid main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp

packages.contrib:
	# FETCH PACKAGE (sid contrib)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.xz   | xzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp

packages.non-free:
	# FETCH PACKAGE (sid non-free)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp

packages.txt: packages.main packages.contrib packages.non-free
	# FETCH PACKAGE (sid)
	cat packages.main packages.contrib packages.non-free >packages.txt

packages.bkup.txt:
	# FETCH PACKAGE (experimental main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBB)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.bkup.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.bkup.tmp > packages.bkup.txt
	rm packages.bkup.tmp

all-popcon-results.txt:
	# POPCON RESULTS
	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt

all-popcon-submissions.txt: all-popcon-results.txt
	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt >all-popcon-submissions.txt

all-popcon-pkgs.txt: all-popcon-results.txt
	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt >all-popcon-pkgs.txt

#######################################################################
# Phase 2 build : package glob replacement script
#######################################################################

$(DBIN)/replace_package: packages.txt
	# GENERATE $(DBIN)/replace_package (sed script)
	echo "# This is autogenerated by Makefile.  Update this with \"make rawxml\"" \
		 >  $(DBIN)/replace_package
	$(DBIN)/genreplace emacs	>>  $(DBIN)/replace_package
	$(DBIN)/genreplace libpoppler	>>  $(DBIN)/replace_package
	$(DBIN)/genreplace libgstreamer	>>  $(DBIN)/replace_package
	$(DBIN)/genreplace libphonon	>>  $(DBIN)/replace_package

#######################################################################
# Phase 3 build : ASCIIDOC -> RAW XML (with @emacs@ etc.)
#######################################################################

$(MANUAL).raw.xml: $(SRC_ASC) $(DBIN)/replace_package
	# BUILD RAWXML from ASCIIDOC
	$(DBIN)/asciidoc -a 'newline=\n' -o - $(DASC)/$(MANUAL).txt |\
	sed -e "/<\/author>/r $(DASC)/copyright.txt" |\
	$(XLINT) -  |\
	sed -f $(DBIN)/replace_package |\
	sed -f $(DBIN)/replace > $(MANUAL).raw.xml

#######################################################################
# Phase 4 build : RAW XML (with @emacs@ etc.) -> pkg.lst 
#######################################################################

pkg.lst: $(MANUAL).raw.xml
	@$(call check-command, xsltproc, xsltproc)
	# PACKAGE LIST of packages mentioned in the source XML
	$(XPNO) $(DXSL)/pkg.xsl $(MANUAL).raw.xml > pkg.lst

#######################################################################
# Phase 5 build : ENTITY
#######################################################################
# source XML inclusion files (excluding common.ent)
ENT_STAT:=	datadatepop.ent datadatesize.ent popcon.ent pkgsize.ent common.ent

datadatesize.ent: packages.txt packages.main packages.contrib packages.non-free
	# GENERATE datesize.ent
	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"			>  datadatesize.ent
	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY non-free-packages \"$$(grep -e '^Package:' packages.non-free | wc -l)\">"	>> datadatesize.ent
	echo "<!ENTITY pkgsize-date \"$(shell date -u +'%F %T %Z')\">"					>> datadatesize.ent


datadatepop.ent:
	# GENERATE datadatepop.ent
	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">" > datadatepop.ent

popcon.ent: all-popcon-results.txt all-popcon-pkgs.txt all-popcon-submissions.txt pkg.lst
	# GENERATE datadatepop.ent
	echo "<!ENTITY pop-submissions \"$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  popcon.ent
	echo "<!ENTITY pop-architectures \"$$(grep --binary-files=text -e '^Architecture:' all-popcon-results.txt | wc -l)\">"	>> popcon.ent
	echo "<!ENTITY pop-packages \"$$(grep -e '^Package:' all-popcon-pkgs.txt | wc -l)\">"				>> popcon.ent
	grep -e '^Package:' all-popcon-pkgs.txt | grep -f pkg.lst | $(DBIN)/popconent `cat all-popcon-submissions.txt`	>> popcon.ent

pkgsize.ent: pkg.lst packages.txt packages.bkup.txt
	# GENERATE pkgsize.ent
	sort pkg.lst | uniq | $(DBIN)/sizeent packages.txt packages.bkup.txt	> pkgsize.ent

	# POPCON
	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt >all-popcon-submissions.txt
	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt >all-popcon-pkgs.txt

common.ent:
	# GENERATE common.ent
	# Release for package match with actual situation
	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  common.ent
	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
	echo "<!ENTITY dr-version \"$(DR_VERSION)\">"			>> common.ent
ifeq ($(RELEASE_STATE),stable)
	# Aim to prepare for the upcoming stable release from sid/unstable
	echo "<!ENTITY codename-stable  \"buster\">"			>> common.ent
	echo "<!ENTITY Codename-stable  \"Buster\">"			>> common.ent
	echo "<!ENTITY codename-testing  \"bullseye\">"			>> common.ent
	echo "<!ENTITY Codename-testing  \"Bullseye\">"			>> common.ent
	echo "<!ENTITY codename-nexttesting  \"bullseye+1\">"		>> common.ent
	echo "<!ENTITY Codename-nexttesting  \"Bullseye+1\">"		>> common.ent
else
	# Live with 2 year testing release from sid/unstable
	echo "<!ENTITY codename-stable  \"stretch\">"			>> common.ent
	echo "<!ENTITY Codename-stable  \"Stretch\">"                   >> common.ent
	echo "<!ENTITY codename-testing  \"buster\">"			>> common.ent
	echo "<!ENTITY Codename-testing  \"Buster\">"			>> common.ent
	echo "<!ENTITY codename-nexttesting  \"bullseye\">"		>> common.ent
	echo "<!ENTITY Codename-nexttesting  \"Bullseye\">"		>> common.ent
endif
	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent

#######################################################################
# Phase pre-6 pre-build : when updating English asciidoc, run this and commit it
#######################################################################
.PHONY: entity
entity: 
	$(MAKE) distclean
	$(MAKE) $(ENT_STAT)
	$(MAKE) clean
	# PLEASE MAKE SURE TO COMMIT TO VCS

#######################################################################
# Phase 6 build : XML ENGLISH (with template XML) -- NORMAL BUILD
#######################################################################

# Update URL list header from $(MANUAL).raw.xml
header.txt: $(DASC)/header1.txt $(DASC)/header2.txt
	# SANITY CHECK
	[ -f $(MANUAL).raw.xml ]
	# GENERATE header.txt
	cat $(DASC)/header1.txt >  header.txt
	$(XPNO) $(DXSL)/urls.xsl $(MANUAL).raw.xml | sort | uniq |\
	sed -e "s/&/\&amp;/g"   >> header.txt
	cat $(DASC)/header2.txt >> header.txt

=== debian/changelog ===
debian-reference (2.75) unstable; urgency=medium

  [ Holger Wansing ]
  * Update Italian translation. Closes: #924071

  [ Osamu Aoki ]
  * Fixed broken symlink (in 2.74/unstable). Closes: #910153
  * Fixed DEB_BUILD_OPTIONS.  Closes: #907779 

 -- Osamu Aoki <osamu@debian.org>  Sun, 10 Mar 2019 22:27:19 +0900

debian-reference (2.74) unstable; urgency=medium

  [ Boyuan Yang ]
  * Re-enable PDF generation for zh-cn and zh-tw.
  * Update translations.
  * Bump Standards-Version to 4.1.4 (no change needed)
  * Canonicalize Vcs fields in debian/control file.

  [ Holger Wansing]
  * Fix typo ('Command requires root privileges'). Closes: #908283

 -- Osamu Aoki <osamu@debian.org>  Mon, 04 Mar 2019 23:16:18 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     libopencc2-data,
                     fonts-liberation2,
                     fonts-vlgothic,
                     fonts-wqy-microhei,
                     libxml2-utils,
                     locales-all | locales,
                     opencc,
                     po4a,
                     python,
                     texlive-lang-chinese,
                     texlive-lang-english,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-italian,
                     texlive-lang-japanese,
                     texlive-lang-portuguese,
                     texlive-lang-spanish,
                     texlive-xetex,
                     w3m,
                     xsltproc,
                     zip
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/debian/debian-reference.git
Vcs-Browser: https://salsa.debian.org/debian/debian-reference
Homepage: https://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: calibre, mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: debian-reference-en, ${misc:Depends}
Recommends: debian-reference-fr,
            debian-reference-it,
            debian-reference-ja,
            debian-reference-es,
            debian-reference-de,
            debian-reference-pt,
            debian-reference-zh-cn,
            debian-reference-zh-tw
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-de
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The German translation.

Package: debian-reference-fr
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-it
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-pt
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.

Package: debian-reference-zh-cn
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Chinese (Simplified) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Simplified) translation.

Package: debian-reference-zh-tw
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Chinese (Traditional) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Traditional) translation.

Package: debian-reference-es
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Spanish translation.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-reference
## ----------------------------------------------------------------------


## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1
## no-parallel to build with the cleaner log (it slows!)
#BUILDOPT:=	 --parallel
BUILDOPT:=	 --no-parallel

## ----------------------------------------------------------------------
# Package building language choice
# (This should be updated with the maintainer approval)
#
MANUAL	:=	debian-reference
LANGALL	:=	en ja fr it pt de zh-cn zh-tw es
LANGPO	:=	   ja fr it pt de zh-cn zh-tw es
# languages to skip generation of PDF files (not used now)
#NOPDF	:=	zh-cn zh-tw
NOPDF	:=	

## ----------------------------------------------------------------------
## Targets

%:
	dh $@

override_dh_auto_build:
	# Generate files for debhelper in debian/
	cd $(CURDIR)/debian/ ; \
	cp all.preinst-in   $(MANUAL)-common.preinst ; \
	cp all.postinst-in  $(MANUAL)-common.postinst ; \
	for XX in $(LANGALL) ; do \
	  cp all.preinst-in   $(MANUAL)-$${XX}.preinst ; \
	  cp all.postinst-in  $(MANUAL)-$${XX}.postinst ; \
	  cp all.postrm-in    $(MANUAL)-$${XX}.postrm ; \
	  case $$XX in \
	    en) LANGX="English" ;;  \
	    de) LANGX="German" ;;   \
	    fr) LANGX="French" ;;   \
	    fi) LANGX="Finnish" ;;  \
	    es) LANGX="Spanish" ;;  \
	    it) LANGX="Italian" ;;  \
	    ja) LANGX="Japanese" ;; \
	    pl) LANGX="Polish" ;; \
	    pt) LANGX="Portuguese (Portugal)" ;; \
	    pt-br) LANGX="Portuguese (Brazil)" ;; \
	    zh-tw) LANGX="Chinese (Traditional)" ;; \
	    zh-cn) LANGX="Chinese (Simplified)" ;; \
	    id) LANGX="Bahasa Indonesia" ;; \
	    *) LANGX="$$x" ;; \
	  esac ; \
	  sed  -e "s/@@/$$XX/" < all.links-in  >$(MANUAL)-$${XX}.links ; \
	  sed  -e "s/@@/$$XX/" < all.install-in  >$(MANUAL)-$${XX}.install ; \
	  sed  -e "s/@@/$$XX/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
	done
	dh_auto_build $(BUILDOPT) -- \
		"LANGALL=$(LANGALL)" \
		"LANGPO=$(LANGPO)" \
		"NOPDF=$(NOPDF)" \
		all


override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_test:
	: # no need to test build html pages

override_dh_auto_clean:
	# Clean files for debhelper in debian/
	-rm -f $(MANUAL)-common.preinst  $(MANUAL)-common.postinst
	-rm -f $(addsuffix .preinst,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .links,    $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .install,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	$(MAKE) "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"  clean

## debian-reference 2.76

=== debian/changelog ===
debian-reference (2.76) unstable; urgency=medium

  * Complete translation for de, it, ja, pt, and zh-cn.
    Closes: #924863
  * Update filepath to comply with doc-base CGI script restrictions.
    Closes: #900360, #924686
  * Add lintian override for missing-depends-on-sensible-utils,
  * Update package and popcon data entity.
  * Ready for buster release by setting buster as stable release.

 -- Osamu Aoki <osamu@debian.org>  Thu, 21 Mar 2019 23:23:38 +0900

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends-Indep: dblatex,
                      docbook-xml,
                      docbook-xsl,
-                     libopencc2-data,
                      fonts-liberation2,
                      fonts-vlgothic,
                      fonts-wqy-microhei,
+                     libopencc2-data,
                      libxml2-utils,
                      locales-all | locales,
                      opencc,
@@ -46,11 +46,11 @@
 Package: debian-reference
 Architecture: all
 Depends: debian-reference-en, ${misc:Depends}
-Recommends: debian-reference-fr,
+Recommends: debian-reference-de,
+            debian-reference-es,
+            debian-reference-fr,
             debian-reference-it,
             debian-reference-ja,
-            debian-reference-es,
-            debian-reference-de,
             debian-reference-pt,
             debian-reference-zh-cn,
             debian-reference-zh-tw

## debian-reference 2.76ubuntu1

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,10 @@
 # from stable -> testing just after stable release
 
 # This is normal
-RELEASE_STATE := testing
+#RELEASE_STATE := testing
 
 # this is just before freeze
-#RELEASE_STATE := stable
+RELEASE_STATE := stable
 
 # TMP_DIR_DR is not mean to be set to generic TMPDIR like /tmp ~/.tmp
 ifndef TMP_DIR_DR
@@ -243,8 +243,8 @@
 	echo "<!ENTITY Codename-stable  \"Buster\">"			>> common.ent
 	echo "<!ENTITY codename-testing  \"bullseye\">"			>> common.ent
 	echo "<!ENTITY Codename-testing  \"Bullseye\">"			>> common.ent
-	echo "<!ENTITY codename-nexttesting  \"bullseye+1\">"		>> common.ent
-	echo "<!ENTITY Codename-nexttesting  \"Bullseye+1\">"		>> common.ent
+	echo "<!ENTITY codename-nexttesting  \"bookworm\">"		>> common.ent
+	echo "<!ENTITY Codename-nexttesting  \"Bookworm\">"		>> common.ent
 else
 	# Live with 2 year testing release from sid/unstable
 	echo "<!ENTITY codename-stable  \"stretch\">"			>> common.ent

=== debian/changelog ===
debian-reference (2.76ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 12:05:09 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      locales-all | locales,
                      opencc,
                      po4a,
-                     python,
+                     python2,
                      texlive-lang-chinese,
                      texlive-lang-english,
                      texlive-lang-french,

=== debian/rules ===
--- 
+++ 
@@ -53,9 +53,10 @@
 	    id) LANGX="Bahasa Indonesia" ;; \
 	    *) LANGX="$$x" ;; \
 	  esac ; \
-	  sed  -e "s/@@/$$XX/" < all.links-in  >$(MANUAL)-$${XX}.links ; \
-	  sed  -e "s/@@/$$XX/" < all.install-in  >$(MANUAL)-$${XX}.install ; \
-	  sed  -e "s/@@/$$XX/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
+	  sed  -e "s/@@/$$XX/g" < all.links-in  >$(MANUAL)-$${XX}.links ; \
+	  sed  -e "s/@@/$$XX/g" < all.install-in  >$(MANUAL)-$${XX}.install ; \
+	  sed  -e "s/@@/$$XX/g" -e "s/@LANG@/$$LANGX/g" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
+	  sed  -e "s/@@/$$XX/g" < all.lintian-overrides-in >$(MANUAL)-$${XX}.lintian-overrides ; \
 	done
 	dh_auto_build $(BUILDOPT) -- \
 		"LANGALL=$(LANGALL)" \

## debian-reference 2.76ubuntu1+10.0trisquel3

=== debian/changelog ===
debian-reference (2.76ubuntu1+10.0trisquel3) nabia; urgency=medium

  * Remove references to non-free repos #5950, remove already applied
    patch

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jun 2021 20:01:19 +0000

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     fonts-liberation2,
                     fonts-vlgothic,
                     fonts-wqy-microhei,
                     libopencc2-data,
                     libxml2-utils,
                     locales-all | locales,
                     opencc,
                     po4a,
                     python2,
                     texlive-lang-chinese,
                     texlive-lang-english,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-italian,
                     texlive-lang-japanese,
                     texlive-lang-portuguese,
                     texlive-lang-spanish,
                     texlive-xetex,
                     w3m,
                     xsltproc,
                     zip
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/debian/debian-reference.git
Vcs-Browser: https://salsa.debian.org/debian/debian-reference
Homepage: https://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: calibre, mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: debian-reference-en, ${misc:Depends}
Recommends: debian-reference-de,
            debian-reference-es,
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # (This should be updated with the maintainer approval)
 #
 MANUAL	:=	debian-reference
-LANGALL	:=	en ja fr it pt de zh-cn zh-tw es
+LANGALL	:=	en zh-cn zh-tw es
 LANGPO	:=	   ja fr it pt de zh-cn zh-tw es
 # languages to skip generation of PDF files (not used now)
 #NOPDF	:=	zh-cn zh-tw

## debian-reference 2.76+nmu1

=== debian/changelog ===
debian-reference (2.76+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:15:32 +0800

## debian-reference 2.77

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
#######################################################################
### key adjustable parameters
#######################################################################
# base file name excluding file extension
MANUAL	:=	debian-reference
# languages translated with PO files
# This can list more than debian/rules for translator to check the result
LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb
# languages to skip generation of PDF files (not used now)
NOPDF	:=
# languages to build document
LANGALL	=	en $(LANGPO)

# Change at the last moment (this package is part of web page)

# "stable" release name in document matches current "stable" release name
# * This is used for unstable upload well before almost freeze
# * This is used for post *.2 release updates
#RELEASE_STATE := normal

# "stable" release name in document matches current "testing" release name
# * This is used for unstable upload after almost freeze before *.1 release
RELEASE_STATE := freeze

# TMP_DIR_DR is not mean to be set to generic TMPDIR like /tmp ~/.tmp
ifndef TMP_DIR_DR
TMP_DIR_DR	:= $(CURDIR)/tmp
endif

# Change $(DRAFTMODE) from "yes" to "maybe" when this document
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DRAW	:=	rawxml
DPO	:=	po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# work around https://bugs.debian.org/725931
PERL_PERTURB_KEYS := 0
export PERL_PERTURB_KEYS
PERL_HASH_SEED := 0
export PERL_HASH_SEE

# Program name and option
XLINT	:=	xmllint --format
XPNO	:=	xsltproc --novalid --nonet
XPINC	:=	xsltproc --novalid --nonet --xinclude
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
DBLATEX	:=	dblatex

# Debian package archive URL
#DEBM	:=	http://ftp.us.debian.org/debian/dists
#DEBM	:=	http://ftp.jp.debian.org/debian/dists
DEBM	:=	http://deb.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	http://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
UDEBB	:=	$(DEBM)/experimental
UDEBC	:=	$(DEBM)/stable
UDEBD	:=	$(DEBM)/oldstable
DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)

#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! which $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef
#######################################################################
# $ make all       # build all
#######################################################################
.PHONY: all
# set LANGPO to limit language to speed up build
all: css html txt epub pdf
	cat fuzzy.log

#######################################################################
# $ make test      # build html for testing (for Translator)
#######################################################################
.PHONY: test
test: html css

#######################################################################
# Phase 1 (pre-build): Debian archive stat data
#######################################################################
# fetch remote data (not for every build) and cached these data
PACKAGES_DATA := packages.main packages.contrib packages.non-free \
		packages.txt packages.bkup.txt \
		packages.stable.txt packages.oldstable.txt
POPCON_DATA :=  all-popcon-results.txt \
		all-popcon-submissions.txt \
		all-popcon-pkgs.txt pkg.lst
REMOTE_DATA :=	$(PACKAGES_DATA) $(POPCON_DATA)

.PHONY: remote
remote: $(REMOTE_DATA)

packages.main:
	# FETCH PACKAGE (sid main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp

packages.contrib:
	# FETCH PACKAGE (sid contrib)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.xz   | xzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp

packages.non-free:
	# FETCH PACKAGE (sid non-free)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp

packages.txt: packages.main packages.contrib packages.non-free
	# FETCH PACKAGE (sid)
	cat packages.main packages.contrib packages.non-free >packages.txt

packages.bkup.txt:
	# FETCH PACKAGE (experimental main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBB)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.bkup.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.bkup.tmp > packages.bkup.txt
	rm packages.bkup.tmp

packages.stable.txt:
	# FETCH PACKAGE (stable main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBC)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.stable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.stable.tmp > packages.stable.txt
	rm packages.stable.tmp

packages.oldstable.txt:
	# FETCH PACKAGE (oldstable main contrib)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBD)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp > packages.oldstable.txt
	rm packages.oldstable.tmp
	wget -O - $(UDEBD)/contrib/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp >> packages.oldstable.txt
	rm packages.oldstable.tmp

all-popcon-results.txt:
	# POPCON RESULTS
	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt

all-popcon-submissions.txt: all-popcon-results.txt
	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt >all-popcon-submissions.txt

all-popcon-pkgs.txt: all-popcon-results.txt
	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt >all-popcon-pkgs.txt

# RAWXML (with @emacs@ etc.) to PACKAGE LIST
pkg.lst: $(DRAW)/$(MANUAL).rawxml
	@$(call check-command, xsltproc, xsltproc)
	# PACKAGE LIST of packages mentioned in the source XML
	$(XPNO) $(DXSL)/pkg.xsl $(DRAW)/$(MANUAL).rawxml > pkg.lst

# ENTITY DATA
# source XML inclusion files (excluding common.ent)
ENT_STAT:=	datadatepop.ent datadatesize.ent popcon.ent pkgsize.ent common.ent

datadatesize.ent: packages.txt packages.main packages.contrib packages.non-free
	# GENERATE datesize.ent
	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"			>  datadatesize.ent
	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY non-free-packages \"$$(grep -e '^Package:' packages.non-free | wc -l)\">"	>> datadatesize.ent
	echo "<!ENTITY pkgsize-date \"$(shell date -u +'%F %T %Z')\">"					>> datadatesize.ent


datadatepop.ent:
	# GENERATE datadatepop.ent
	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">" > datadatepop.ent

popcon.ent: all-popcon-results.txt all-popcon-pkgs.txt all-popcon-submissions.txt pkg.lst
	# GENERATE datadatepop.ent
	echo "<!ENTITY pop-submissions \"$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  popcon.ent
	echo "<!ENTITY pop-architectures \"$$(grep --binary-files=text -e '^Architecture:' all-popcon-results.txt | wc -l)\">"	>> popcon.ent
	echo "<!ENTITY pop-packages \"$$(grep -e '^Package:' all-popcon-pkgs.txt | wc -l)\">"				>> popcon.ent
	grep -e '^Package:' all-popcon-pkgs.txt | grep -f pkg.lst | $(DBIN)/popconent `cat all-popcon-submissions.txt`	>> popcon.ent

pkgsize.ent: pkg.lst packages.txt packages.bkup.txt packages.stable.txt packages.oldstable.txt
	# GENERATE pkgsize.ent
	sort pkg.lst | uniq | $(DBIN)/sizeent packages.txt packages.bkup.txt packages.stable.txt packages.oldstable.txt > pkgsize.ent

	# POPCON
	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt >all-popcon-submissions.txt
	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt >all-popcon-pkgs.txt

common.ent:
	# GENERATE common.ent
	# Release for package match with actual situation
	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  common.ent
	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
	echo "<!ENTITY dr-version \"$(DR_VERSION)\">"			>> common.ent
ifeq ($(RELEASE_STATE),normal)
	# Build for web to match current reality
	echo "<!ENTITY codename-stable  \"bookworm\">"			>> common.ent
	echo "<!ENTITY Codename-stable  \"Bookworm\">"			>> common.ent
	echo "<!ENTITY codename-testing  \"trixie\">"			>> common.ent
	echo "<!ENTITY codename-testing  \"trixie\">"			>> common.ent
	echo "<!ENTITY Codename-nexttesting  \"Trixie+1\">"		>> common.ent
	echo "<!ENTITY Codename-nexttesting  \"Trixie+1\">"		>> common.ent
else
	# For post-almost-freeze upload to match post-release reality
	echo "<!ENTITY codename-stable  \"bullseye\">"			>> common.ent
	echo "<!ENTITY Codename-stable  \"Bullseye\">"			>> common.ent
	echo "<!ENTITY codename-testing  \"bookworm\">"			>> common.ent
	echo "<!ENTITY Codename-testing  \"Bookworm\">"			>> common.ent
	echo "<!ENTITY codename-nexttesting  \"trixie\">"		>> common.ent
	echo "<!ENTITY Codename-nexttesting  \"Trixie\">"		>> common.ent
endif
	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent

# For major English update, run this and commit data
.PHONY: entity
entity:
	$(MAKE) distclean
	$(MAKE) $(ENT_STAT)
	$(MAKE) clean
	# PLEASE MAKE SURE TO COMMIT TO VCS

#######################################################################
# Phase 2(build): RAWXML (template) -> XML -> All formats
#######################################################################

.PHONY: rawxml
rawxml: $(DRAW)/$(MANUAL).rawxml

$(DRAW)/$(MANUAL).rawxml: $(wildcard $(DRAW)/*_*.rawxml)
	#echo $^
	cd $(DRAW) ; ./merge.sh

# Update URL list header from $(MANUAL).rawxml
$(DRAW)/header.rawxml: $(DRAW)/header1.rawxml $(DRAW)/header2.rawxml
	cat $(DRAW)/header1.rawxml >  $(DRAW)/header.rawxml
	$(XPNO) $(DXSL)/urls.xsl $(DRAW)/$(MANUAL).rawxml | sort | uniq |\
	sed -e "s/&/\&amp;/g"   >> $(DRAW)/header.rawxml
	cat $(DRAW)/header2.rawxml >> $(DRAW)/header.rawxml

# Replace table contents with @-@popcon*@-@ and @@@psize*@-@ and
# fix URL referencees and table ID.
$(MANUAL).en.xml: $(DRAW)/$(MANUAL).rawxml $(DRAW)/header.rawxml
	@$(call check-command, xsltproc, xsltproc)
	$(XPNO) $(DXSL)/table.xsl $(DRAW)/$(MANUAL).rawxml |\
	$(DBIN)/colspec.py  |\
	sed -e '/<!DOCTYPE /d' -e "1r $(DRAW)/header.rawxml" |\
	sed -e 's/@-@amp@-@/\&/g' -e 's/@-@\([^@]\+\)@-@/\&\1;/g' > $@

# Replace table contents with dummy text and
# fix URL referencees and table ID as the template for translation.
# This avoids bloated PO/POT files. (tablet.xsl used instead of table.xsl)
$(MANUAL).en.xmlt: $(DRAW)/$(MANUAL).rawxml $(DRAW)/header.rawxml

=== debian/changelog ===
debian-reference (2.77) unstable; urgency=medium

  [ Holger Wansing ]
  * libopencc2-data has been replaced by libopencc-data. Dependency
    can be removed, since package opencc has an implicit hard dependency on
    the data package already. Closes: #964674, #979524

  [ Osamu Aoki ]
  * Mention locales-all package. Closes: #953075
  * Update printing for post-CUPS 1.6. Closes: #941801
  * Convert source to XML.

  [ Stuart Prescott ]
  * Migrate to Python3. Closes: #942942
  * Add CI to automate build tests on Salsa. Closes: #972371

  [ xiao sheng wen (肖盛文) ]
  * get package info from oldstable and stable. Closes: #972437

 -- Osamu Aoki <osamu@debian.org>  Sun, 10 Jan 2021 15:36:06 +0900
